--- libgfortran/intrinsics/c99_functions.c.orig	Tue Feb  7 12:35:25 2006
+++ libgfortran/intrinsics/c99_functions.c	Fri Dec  8 12:50:42 2006
@@ -1136,3 +1136,25 @@
 }
 #endif
 
+#if !defined(HAVE_FMODL)
+#define HAVE_FMODL 1
+long double
+fmodl (long double x, long double y)
+{
+
+  long double ax, ay;
+
+  if (y == 0)
+    return 0;
+
+  ay = fabsl (y);
+  ax = fabsl (x);
+
+  if (ax < ay)
+    return x;
+
+  return copysignl(ax - (floorl (ax / ay)) * ay, x);
+
+}
+#endif
+
